Let the platform do the work

/ConsoleConfiguration/default-metadata GET

Overview

Gets the request metadata in JSON format.

Request Arguments

This endpoint does not accept any request arguments.

URL Parameters

Parameter Description Required?
modules String. Comma-separated module names. Example: 'Accounts,Opportunities'. Yes
type String. The type of the desired metadata. The following types are supported: 'filter', 'layout', 'menu', 'view'. Yes
name String. The name of the metadata. Examples: 'list', 'record', or 'multi-line-list'. Yes

URL Example

  /rest/v11_9/ConsoleConfiguration/default-metadata?modules=Cases&type=view&name=multi-line-list

Result Arguments

Response

  {
   "Cases":{
  	"panels":[
     	{
        	"label":"LBL_PANEL_1",
        	"fields":[
           	{
              	"name":"case_number",
              	"label":"LBL_AGENT_WORKBENCH_NUMBER",
              	"width":"xsmall",
              	"subfields":[
                 	{
                    	"name":"case_number",
                    	"label":"LBL_AGENT_WORKBENCH_NUMBER",
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true
                 	}
              	]
           	},
           	{
              	"name":"status",
              	"label":"LBL_AGENT_WORKBENCH_PRIORITY_STATUS",
              	"width":"small",
              	"subfields":[
                 	{
                    	"name":"priority",
                    	"label":"LBL_LIST_PRIORITY",
                    	"default":true,
                    	"enabled":true,
                    	"type":"enum"
                 	},
                 	{
                    	"name":"status",
                    	"label":"LBL_STATUS",
                    	"default":true,
                    	"enabled":true,
                    	"type":"case-status",
                    	"widget_name":"widget_status"
                 	}
              	]
           	},
           	{
              	"name":"follow_up_datetime",
              	"label":"LBL_AGENT_WORKBENCH_FOLLOW_UP",
              	"width":"medium",
              	"subfields":[
                 	{
                    	"name":"follow_up_datetime",
                    	"label":"LBL_FOLLOW_UP_DATETIME",
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true,
                    	"type":"follow-up-datetime-colorcoded",
                    	"widget_name":"widget_follow_up_datetime",
                    	"color_code_classes":{
                       	"overdue":"expired",
                       	"in_a_day":"soon-expired",
                       	"more_than_a_day":"white black-text"
                    	}
                 	},
                 	{
                    	"name":"follow_up_datetime",
                    	"label":"LBL_FOLLOW_UP_DATETIME",
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true,
                    	"type":"datetimecombo"
                 	}
              	]
           	},
           	{
              	"name":"name",
              	"label":"LBL_AGENT_WORKBENCH_SUBJECT_DESCRIPTION",
              	"width":"xlarge",
              	"subfields":[
                 	{
                    	"name":"name",
                    	"label":"LBL_LIST_SUBJECT",
                    	"link":false,
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true
                 	},
                 	{
                    	"name":"description",
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true,
                    	"sortable":false
                 	}
              	]
           	},
           	{
              	"name":"business_center",
              	"label":"LBL_BUSINESS_CENTER",
              	"width":"small",
              	"subfields":[
                 	{
                    	"name":"business_center_name",
                    	"label":"LBL_BUSINESS_CENTER",
                    	"link":false,
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true
                 	}
              	]
           	},
           	{
              	"name":"account_name",
              	"label":"LBL_ACCOUNT",
              	"width":"medium",
              	"subfields":[
                 	{
                    	"name":"account_name",
                    	"label":"LBL_LIST_ACCOUNT_NAME",
                    	"module":"Accounts",
                    	"id":"ACCOUNT_ID",
                    	"ACLTag":"ACCOUNT",
                    	"related_fields":[
                       	"account_id"
                    	],
                    	"link":false,
                    	"default":true,
                    	"enabled":true
                 	},
                 	{
                    	"name":"service_level",
                    	"label":"LBL_SERVICE_LEVEL",
                    	"type":"enum",
                    	"enum_module":"Accounts",
                    	"link":false,
                    	"default":true,
                    	"enabled":true,
                    	"readonly":true
                 	}
              	]
           	},
           	{
              	"name":"assigned_user_name",
              	"label":"LBL_ASSIGNED_TO_NAME",
              	"width":"small",
              	"subfields":[
                 	{
                    	"name":"assigned_user_name",
                    	"label":"LBL_ASSIGNED_TO_NAME",
                    	"id":"ASSIGNED_USER_ID",
                    	"link":false,
                    	"default":true,
                    	"enabled":true
                 	}
              	]
           	}
        	]
     	}
  	],
  	"collectionOptions":{
     	"limit":100,
     	"params":{
        	"max_num":100,
        	"order_by":"follow_up_datetime",
        	"nulls_last":true
     	}
  	},
  	"filterDef":[
     	{
        	"status":{
           	"$not_in":[
              	"Closed",
              	"Rejected",
              	"Duplicate"
           	]
        	},
        	"$owner":""
     	}
  	]
   }
}

Response Codes and Error Messages

All successful responses return 200.

The following error responses are possible:

  • 403 (SugarAPIExceptionNotAuthorized) : Sent if the user attempts to access a module that they are forbidden to access.
  • 422 (SugarApiExceptionInvalidParameter) : Sent if the user specifies an invalid type or module.

Change Log

Version Change
v11.9 Added /ConsoleConfiguration/default-metadata GET endpoint.

Topics